Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 349523 - media-tv/xbmc-10.0: ebuild should pass --disable-hal and depend on udisks and upower
Summary: media-tv/xbmc-10.0: ebuild should pass --disable-hal and depend on udisks and...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Xbox herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 313389 348580
  Show dependency tree
 
Reported: 2010-12-23 18:27 UTC by Samuli Suominen
Modified: 2011-03-12 09:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
USE=hal -> USE=udev (xbmc-9999.ebuild.patch,1.21 KB, patch)
2010-12-25 07:05 UTC, Samuli Suominen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2010-12-23 18:27:41 UTC
xbmc 10.0 and 9999 should be changed to pass --disable-hal and adds depends on sys-power/upower and sys-fs/udisks insteada
Comment 1 Samuli Suominen gentoo-dev 2010-12-23 18:28:57 UTC
of course I mean the support is already there, this is just an ebuild bug
Comment 2 SpanKY gentoo-dev 2010-12-23 20:25:06 UTC
the ebuild already has $(use_enable hal), and the consolekit cruft is optional

so you're going to have to explain why the xbmc ebuild needs changing
Comment 3 Samuli Suominen gentoo-dev 2010-12-24 06:03:19 UTC
upstream added udisks and upower support to replace hal support.
they just didn't remove hal support while doing that... some upstreams keep backwards compability alive. so now xbmc works on older systems, but gentoo packages available are not old... we don't need this backwards compability, we have all-udev desktops xfce/lxde/rox/gnome, and already mostly in stable too. same with all-udev xorg 1.9 is stable now.
profiles dont enable USE=hal by default anymore either.
hal is being actively removed, bug 313389

for comparison with arch's xbmc maintainer:

http://repos.archlinux.org/wsvn/community?op=comp&compare[]=%2Fxbmc%2Ftrunk@35803&compare[]=%2Fxbmc%2Ftrunk@35833
Comment 4 SpanKY gentoo-dev 2010-12-24 16:02:20 UTC
OK, but hard depending on cruft like udisks/upower isnt acceptable.  so what USE flag are these under now that USE=hal is gone ?
Comment 5 Samuli Suominen gentoo-dev 2010-12-24 18:26:17 UTC
(In reply to comment #4)
> OK, but hard depending on cruft like udisks/upower isnt acceptable.  so what
> USE flag are these under now that USE=hal is gone ?
> 

USE=udev itself was vague from start, but after some 20+ packages used it just exactly what hal used it for, i've made it global

so from USE=hal --> USE=consolekit policykit udev

i've gone great lenghts to ensure consolekit works proper, with diego, there's only one major remaining bug unsolved related pambase, otherwise it isn't the "crap" it used to be

udev? ( sys-fs/udisks sys-power/upower )
--disable-hal
Comment 6 Samuli Suominen gentoo-dev 2010-12-25 07:05:45 UTC
Created attachment 258008 [details, diff]
USE=hal -> USE=udev
Comment 7 Samuli Suominen gentoo-dev 2010-12-25 07:08:36 UTC
(In reply to comment #6)
> Created an attachment (id=258008) [details]
> xbmc-9999.ebuild.patch
> 

applies to 10.0 too
Comment 8 SpanKY gentoo-dev 2010-12-31 18:19:24 UTC
ive applied your patch to xbmc-9999 ... if no one complains, i'll put it into xbmc-10.0 too.  i'll probably have to do xbmc-10.0-r1 at some point anyways.
Comment 9 hal 2011-01-19 10:24:21 UTC
(In reply to comment #8)
> ive applied your patch to xbmc-9999 ... if no one complains, i'll put it into
> xbmc-10.0 too.  i'll probably have to do xbmc-10.0-r1 at some point anyways.
> 

that should be fine. i've been using this approch for months on my hal free dedicated xbmc htpc.
Comment 10 Samuli Suominen gentoo-dev 2011-02-06 12:37:38 UTC
(In reply to comment #8)
> ive applied your patch to xbmc-9999 ... if no one complains, i'll put it into
> xbmc-10.0 too.  i'll probably have to do xbmc-10.0-r1 at some point anyways.
> 

nobody has complained? :)   we should propably move on with this, as none of the desktops in ~arch use sys-apps/hal anymore, not even KDE since 4.6.0.
Comment 11 SpanKY gentoo-dev 2011-03-12 09:22:33 UTC
ive added the code to 10.1 now too